import request from '/@/utils/request';

// 获取账号列表
export const getAccounts = (data: any) => {
	return request({
		url: '/jnh/accounts/page',
		method: 'post',
		data,
	});
};

// 添加账号
export const addOrUpdate = (data: any) => {
	return request({
		url: '/jnh/accounts/addOrUpdate',
		method: 'post',
		data,
	});
};

// 删除账号
export const deleteAccount = (data: any) => {
	return request({
		url: '/jnh/accounts/remove',
		method: 'post',
		data,
	});
};

// 账号启用/禁用
export const updateStatus = (data: any) => {
	return request({
		url: '/jnh/accounts/status',
		method: 'post',
		data,
	});
};

export const getUploadUrl = (data: any) => {
	return request({
		url: '/jnh/accounts/import',
		method: 'post',
		data,
	});
};

// 重置密码
export const resetPassword = (data: any) => {
	return request({
		url: '/admin/user/password/reset',
		method: 'post',
		data,
	});
};
